ChiliProject - Bug # 653: Multiple query related models defined in one file

Status: Closed Priority: Normal

Author: Gregor Schmidt Category: Refactoring

Created: 2011-10-12 Assignee: Eric Davis

Updated: 2011-10-15 Due date:

Remote issue URL:

Affected version: 2.3.0

Description: When multiple classes are defined within one file, this tends to mess up Rails autoloading in development -

especially when plugins try to redefine/patch these models.

The (to be) attached pull request simply moves the models into separate, properly named files.

| propose to keep this change for Chili 3.0 since it might change the autoloading some plugins could rely on.
It should therefore be safer to wait for a major release.

Associated revisions

2008-02-16 07:09 pm - Jean-Philippe Lang
Fixed: CVS repository doesn't work if port is used in the url (#653).
Added functional tests for CVS adapter.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1156 €93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-10-14 06:36 am - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/107

2011-10-15 12:05 am - Eric Davis

- Assignee set to Eric Davis

- Status changed from Ready for review to Closed

Ran the tests and merged into unstable. Thanks for fixing that, it was bugging me too.
